Benötige folgendes für vms...